Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTCatchHandler

All Superinterfaces:
  `IASTAttributeOwner`, `IASTImplicitDestructorNameOwner`, `IASTNode`, `IASTStatement`

    public interface ICPPASTCatchHandler
    extends IASTStatement, IASTImplicitDestructorNameOwner

Catch handler used for try block statements or for functions with try block.

See Also:
  `ICPPASTFunctionWithTryBlock`, `ICPPASTTryBlockStatement`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `CATCH_BODY` `CATCH_BODY` represents the nested (compound) statement.
`static ASTNodeProperty` `DECLARATION` `DECLARATION` represents the nested declaration within the catch handler.
`static ICPPASTCatchHandler[]` `EMPTY_CATCHHANDLER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTCatchHandler` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTCatchHandler` `copy​(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTStatement` `getCatchBody()` Returns the catch body.
`IASTDeclaration` `getDeclaration()` Returns the declaration.
`IScope` `getScope()` Returns the scope represented by this catch handler.
`boolean` `isCatchAll()` Is this catch handler for all exceptions?
`void` `setCatchBody​(IASTStatement compoundStatement)` Sets the catch body.
`void` `setDeclaration​(IASTDeclaration decl)` Sets the declaration.
`void` `setIsCatchAll​(boolean isEllipsis)` Set is catch all handler.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### EMPTY_CATCHHANDLER_ARRAY

    static final ICPPASTCatchHandler[] EMPTY_CATCHHANDLER_ARRAY

#### DECLARATION

    static final ASTNodeProperty DECLARATION

`DECLARATION` represents the nested declaration within the catch handler.

#### CATCH_BODY

    static final ASTNodeProperty CATCH_BODY

`CATCH_BODY` represents the nested (compound) statement.

### Method Detail

#### setIsCatchAll

    void setIsCatchAll​(boolean isEllipsis)

Set is catch all handler.

#### isCatchAll

    boolean isCatchAll()

Is this catch handler for all exceptions?

#### setCatchBody

    void setCatchBody​(IASTStatement compoundStatement)

Sets the catch body.

#### getCatchBody

    IASTStatement getCatchBody()

Returns the catch body.

#### setDeclaration

    void setDeclaration​(IASTDeclaration decl)

Sets the declaration.

#### getDeclaration

    IASTDeclaration getDeclaration()

Returns the declaration.

#### getScope

    IScope getScope()

Returns the scope represented by this catch handler.

Since:
  5.1

#### copy

    ICPPASTCatchHandler copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Since:
  5.1

#### copy

    ICPPASTCatchHandler copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3